Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QMoveEvent Class Reference

The QMoveEvent class contains event parameters for move events. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QMoveEvent ( const QPoint & pos, const QPoint & oldPos )
- const QPoint & pos () const
- const QPoint & oldPos () const

## Detailed Description

The QMoveEvent class contains event parameters for move events.

Move events are sent to widgets that have been moved to a new position relative to their parent.

The event handler QWidget::moveEvent() receives move events.

See also QWidget::pos, QWidget::geometry, and Event Classes.

## Member Function Documentation

### QMoveEvent::QMoveEvent ( const QPoint & pos, const QPoint & oldPos )

Constructs a move event with the new and old widget positions, pos and oldPos respectively.

### const QPoint & QMoveEvent::oldPos () const

Returns the old position of the widget.

### const QPoint & QMoveEvent::pos () const

Returns the new position of the widget. This excludes the window frame for top level widgets.

This file is part of the Qt toolkit. Copyright © 1995-2005 Trolltech. All Rights Reserved.